import sys
import random
import math
from collections import defaultdict

try:
	#Constantes
	width = 10
	height = 10
	archivo_salida = "placeholder"
	
	#Sanity check
	if (len(sys.argv)<4):
		print "Ejecutar con la siguiente linea: ./generador <width> <height> <archivo_salida>"
		sys.exit(1)

	width=int(sys.argv[1])
	height=int(sys.argv[2])
	archivo_salida=sys.argv[3]

	if (width<1):
		print "La cantidad de columnas debe ser mayor o igual a 1."
		sys.exit(1)

	
	if (height<1):
		print "La cantidad de filas debe ser mayor o igual a 1."
		sys.exit(1)


	#VARIABLES:
	
	#inicializacion tablero
	tablero = []
	
	for i in range(0,width):
		columna = []
		for j in range(0, height):
			columna.append(random.randint(0,1))

		tablero.append(columna)
	
	######################
	#calculo de datos de fila / columna
	######################

	datosColumnas = []
	for i in range(0, width):
		datos = []
		counter = 0
		for j in range (0, height):
			if (tablero[i][j] == 0):
				if (counter != 0):
					datos.append(counter)
					counter = 0
			else:
				counter += 1
		if (counter != 0):
			datos.append(counter)
		datosColumnas.append(datos)

	datosFilas = []
	for i in range(0, height):
		datos = []
		counter = 0
		for j in range (0, width):
			if (tablero[j][i] == 0):
				if (counter != 0):
					datos.append(counter)
					counter = 0
			else:
				counter += 1
		if (counter != 0):
			datos.append(counter)
		datosFilas.append(datos)


	#archivo de salida de columnas
	archivo = open ("datos_columnas", "w")
	archivo.write("%d\n"%width)
	for i in range(0, width):
		for j in range(0, len(datosColumnas[i])):
			archivo.write("%d "%datosColumnas[i][j])
		archivo.write("\n")

	archivo = open ("datos_filas", "w")
	archivo.write("%d\n"%height)
	for i in range(0, height):
		for j in range(0, len(datosFilas[i])):
			archivo.write("%d "%datosFilas[i][j])
		archivo.write("\n")

except IOError as error:
	print error
